package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.VpnConnModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 操作接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年10月12日
 */
public interface VpnConnProvider extends SuperProvider {
    @Override
    boolean accessable();

    /**
     * 查询列表
     *
     * @return
     */
    BocloudResult list();

    /**
     * 查询详情
     *
     * @param vpnId
     * @return
     */
    BocloudResult detail(String vpnId);

    /**
     * 创建
     *
     * @param model
     * @return
     */
    BocloudResult create(VpnConnModel model);

    /**
     * 删除
     *
     * @param vpnUuid
     * @return
     */
    BocloudResult delete(String vpnUuid);

    /**
     * 修改
     *
     * @param model
     * @return
     */
    BocloudResult modify(VpnConnModel model);
}
